跳到正文

debug_node_api.debug_set_hardfork ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

在调试节点(debug node)上应用某个硬分叉(hardfork),早于正常排期。

Parameters ​

PARAMETERS
json
{
  "hardfork_id": 0
}

⚠ 该方法在 steem 源码中有定义,但公共节点未启用。

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_set_hardfork",
    "params": {
      "hardfork_id": 0
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{}